/* PLOP!
 * (C) 1999
 * ESI/Supinfo
 * 
 * interface.h
 * 
 * -------------------------------------------
 * 
 * Moulin Jean-Yves	(jym@ldh.org)
 * 
 * -------------------------------------------
 * 
 * This is Free Software (see COPYING for details)
 */

#ifndef _INTERFACE_H
#define _INTERFACE_H


typedef struct {
   GtkWidget *window;
   GtkWidget *entryTo;
   GtkWidget *entryCc;
   GtkWidget *entryBcc;
   GtkWidget *entrySubject;
   GtkWidget *text;
   GtkWidget *listAttach;
} _MAIL_ENTRY;

typedef struct {
   GtkWidget *window;
   GtkWidget *host;
   GtkWidget *port;
   GtkWidget *username;
   GtkWidget *password;
   GtkWidget *remember;
   GtkWidget *leave;
   GtkWidget *every;
   GtkWidget *time;
   _ACCOUNT  *account;
} _ACCOUNT_ENTRY;


typedef struct {
   gint size;
   gchar *encoding;
   gchar *data;
   struct _ATTACH *next;
} _ATTACH;


void choose_file(GtkWidget *);
void choose_file_ok(GtkWidget *);
void choose_font(GtkWidget *);
void choose_font_ok(GtkWidget *, GtkWidget *);
GtkWidget *create_new_mail (gchar*, gchar *, gchar *, gchar*, _ATTACH *, gint);
void create_option_window(void);
void draw_application_settings(GtkWidget *);
void draw_colorfont_settings(GtkWidget *);
void draw_directory_settings(GtkWidget *);
void draw_general_settings(GtkWidget *);
void draw_identity_settings(GtkWidget *);
void draw_recept_settings(GtkWidget *);
void draw_sound_settings(GtkWidget *);
void plop_create_clist(GtkWidget *, gchar **);
GtkWidget * plop_create_page (GtkWidget *, GtkWidget *, gchar *, GtkCTreeNode *, GtkCTreeNode **, gint, void (*)(GtkWidget *), gchar **);
GtkWidget *plop_create_popup_menu_dir(void);
GtkWidget *plop_create_popup_menu_mail(void);
void set_encoding_type(gint);
gint set_window_title (GtkWidget *, GtkWidget *);
GtkWidget * settings_create_page (GtkWidget *, gchar *, GtkWidget *, gchar *, GtkCTreeNode *, GtkCTreeNode **, gint, void (*)(GtkWidget *));
void show_about(void);
void update_color_box(GtkWidget *, GtkWidget *);
void window_edit_account(gpointer);

#define NUMBER_OF_COLOR 30
enum color {
	WHITE,
	BLACK,
	LIGHT_BLUE,
	LIGHT_GREEN,
	LIGHT_RED,
	BROWN,
	PURPLE,
	ORANGE,
	YELLOW,
	GREEN,
	AQUA,
	LIGHT_AQUA,
	BLUE,
	PINK,
	GREY,
	LIGHT_GREY,
	LIGHT_YELLOW,
};

#endif
