/* PLOP!
 * (C) 1999
 * ESI/Supinfo
 * 
 * interface.c:
 * 
 * -------------------------------------------
 * 
 * Moulin Jean-Yves	(jym@ldh.org)
 * 
 * -------------------------------------------
 * 
 * This is Free Software (see COPYING for details)
 */


#ifndef _POP3_H
#define _POP3_H

#include "plop.h"

typedef struct {
	gchar *name;
	enum proto_type type;
	gchar *host;
	gchar *port;
	gchar *username;
	gchar *password;
	gint delete;
	gint every;
	gint time;
	gint timeout_id;
	GtkWidget *item;
} _ACCOUNT;

typedef struct {
	_ACCOUNT *account;
	gint number;
	gint size;
	gint socket;
	gint state;
	gint locked;
} _POP_MAILBOX;

typedef struct {
	char *to;
	char *from;
	char *date;
	char *subject;
	unsigned int size;

	char *text;
	unsigned char *attachment;
} _MAIL;

#define POP_MAILBOX_LOCKED 1
#define POP_MAILBOX_FREE 0

/*
 * les differents etat:
 */
#define POP_MAILBOX_STATE_NOTHING 3
#define POP_MAILBOX_STATE_AUTHORIZATION 1
#define POP_MAILBOX_STATE_TRANSACTION 2
#define POP_MAILBOX_STATE_UPDATE 0

/*
 * message d'erreur
 */

int check_mailbox(_POP_MAILBOX *);

#endif
